import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import HotSpot from '@/components/HotSpot.vue'
import SerialFrames from '@/components/SerialFrames.vue'
import TreasureDisplay from '@/components/TreasureDisplay.vue'

createApp(App)
  .use(store)
  .use(router)
  .component('HotSpot', HotSpot)
  .component('SerialFrames', SerialFrames)
  .component('TreasureDisplay', TreasureDisplay)
  .mount('#app')
